/* テキストリソースから色構造体を設定する */

#include <stdio.h>
#include "defines.h"
#include "mcolors.h"
#include "res.h"
#include "abuff.h"
#include "astring.h"

int ReadMenuColor(unchar *resname,MCOLORS *col,TRES *tres)
/* テキストリソースから１メニュー色情報を読みとって、それを構造体に展開する */
{
int lin,ret;
unchar *buff;
	/* リソースサイズ取得 */
	ret=SizeTResource(tres,resname,&lin);
	if (ret>0) {
	    /* 読み込みバッファー確保 */
	    /* 無駄かも知れないけど、一気に読み込んで処理する */
	    buff=FASTmalloc(ret);
	    if (buff!=NULL) {
		/* 一気読み込み */
		if (GetTResource(tres,resname,buff,&lin)>0) {
		    /* 色データ読み込み -> 構造体代入 */
		    ret=(SetCol(buff,col)==-1? -4:0);
		} else ret=-3;
		FASTfree(buff);
	    } else ret=-2;
	} else ret=-1;
	return(ret);
}
